ApiComponentInfo (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiComponentInfo

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiComponentInfo

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiComponentInfo
      extends Object

  This is the model for a component in the host.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiComponentInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiComponentInfo` | `cdhRelease(String cdhRelease)`
    `ApiComponentInfo` | `cdhVersion(String cdhVersion)`
    `ApiComponentInfo` | `componentConfig(Map<String,String> componentConfig)`
    `ApiComponentInfo` | `componentInfoSource(String componentInfoSource)`
    `ApiComponentInfo` | `componentRelease(String componentRelease)`
    `ApiComponentInfo` | `componentVersion(String componentVersion)`
    `boolean` | `equals(Object o)`
    `String` | `getCdhRelease()` CDH release on the host.
    `String` | `getCdhVersion()` The CDH version on the host.
    `Map<String,String>` | `getComponentConfig()` list of config name and value pair associated with component.
    `String` | `getComponentInfoSource()` Source from which component is taken.
    `String` | `getComponentRelease()` Component release on the host.
    `String` | `getComponentVersion()` Component version on the host.
    `Boolean` | `getIsActive()` returns true if component is active.
    `String` | `getName()` The name of the component.
    `int` | `hashCode()`
    `ApiComponentInfo` | `isActive(Boolean isActive)`
    `ApiComponentInfo` | `name(String name)`
    `ApiComponentInfo` | `putComponentConfigItem(String key, String componentConfigItem)`
    `void` | `setCdhRelease(String cdhRelease)`
    `void` | `setCdhVersion(String cdhVersion)`
    `void` | `setComponentConfig(Map<String,String> componentConfig)`
    `void` | `setComponentInfoSource(String componentInfoSource)`
    `void` | `setComponentRelease(String componentRelease)`
    `void` | `setComponentVersion(String componentVersion)`
    `void` | `setIsActive(Boolean isActive)`
    `void` | `setName(String name)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiComponentInfo

          public ApiComponentInfo()

  - ### Method Detail

    - #### name

          public ApiComponentInfo name(String name)

    - #### getName

          public String getName()

      The name of the component.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### cdhVersion

          public ApiComponentInfo cdhVersion(String cdhVersion)

    - #### getCdhVersion

          public String getCdhVersion()

      The CDH version on the host.
      Returns:
        cdhVersion

    - #### setCdhVersion

          public void setCdhVersion(String cdhVersion)

    - #### cdhRelease

          public ApiComponentInfo cdhRelease(String cdhRelease)

    - #### getCdhRelease

          public String getCdhRelease()

      CDH release on the host.
      Returns:
        cdhRelease

    - #### setCdhRelease

          public void setCdhRelease(String cdhRelease)

    - #### componentVersion

          public ApiComponentInfo componentVersion(String componentVersion)

    - #### getComponentVersion

          public String getComponentVersion()

      Component version on the host.
      Returns:
        componentVersion

    - #### setComponentVersion

          public void setComponentVersion(String componentVersion)

    - #### componentRelease

          public ApiComponentInfo componentRelease(String componentRelease)

    - #### getComponentRelease

          public String getComponentRelease()

      Component release on the host.
      Returns:
        componentRelease

    - #### setComponentRelease

          public void setComponentRelease(String componentRelease)

    - #### componentInfoSource

          public ApiComponentInfo componentInfoSource(String componentInfoSource)

    - #### getComponentInfoSource

          public String getComponentInfoSource()

      Source from which component is taken.
      Returns:
        componentInfoSource

    - #### setComponentInfoSource

          public void setComponentInfoSource(String componentInfoSource)

    - #### isActive

          public ApiComponentInfo isActive(Boolean isActive)

    - #### getIsActive

          public Boolean getIsActive()

      returns true if component is active.
      Returns:
        isActive

    - #### setIsActive

          public void setIsActive(Boolean isActive)

    - #### componentConfig

          public ApiComponentInfo componentConfig(Map<String,String> componentConfig)

    - #### putComponentConfigItem

          public ApiComponentInfo putComponentConfigItem(String key,
                                                         String componentConfigItem)

    - #### getComponentConfig

          public Map<String,String> getComponentConfig()

      list of config name and value pair associated with component.
      Returns:
        componentConfig

    - #### setComponentConfig

          public void setComponentConfig(Map<String,String> componentConfig)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.